ROOT_DIRS = /runtime \
    /usr/local/cumbia-libs

for(ROOT_DIR, ROOT_DIRS) {
    isEmpty(CUMBIA_ROOT):exists($${ROOT_DIR}/include/quapps/quapps.pri) {
        CUMBIA_ROOT = $${ROOT_DIR}
    }
}
include($${CUMBIA_ROOT}/include/quapps/quapps.pri)

INCLUDEPATH += $${CUMBIA_ROOT}/include/cumbia-qtcontrols-ng
LIBS += -lcumbia-qtcontrols-ng

QT += network
CONFIG += debug

DEFINES -= QT_NO_DEBUG_OUTPUT

PKGCONFIG += cumbia-qtcontrols-ng

# RESOURCES +=

SOURCES += \
           src/bpmplotscaledraw.cpp \
           src/gofbpm.cpp \
           src/gofbpmplot.cpp \
           src/main.cpp

HEADERS += \
           src/bpmplotscaledraw.h \
           src/gofbpm.h \
           src/gofbpmplot.h

FORMS    = src/gofbpm.ui



INCLUDEPATH += src

TARGET   = gofbpm-gui
!wasm-emscripten {
    TARGET   = bin/$${TARGET}
} else {
    TARGET = wasm/$${TARGET}
}

#
# make install works if INSTALL_DIR is given to qmake
#
!isEmpty(INSTALL_DIR) {
    wasm-emscripten {
        inst.files = wasm/*
    } else {
        inst.files = $${TARGET}
    }
    inst.path = $${INSTALL_DIR}
    INSTALLS += inst
    message("-")
    message("INSTALLATION")
    message("       execute `make install` to install '$PROJECT_NAME$' under $${INSTALL_DIR} ")
    message("-")
} else {
    message("-")
    message("INSTALLATION")
    message("       call qmake INSTALL_DIR=/usr/local/bin to install $PROJECT_NAME$ later with `make install` ")
    message("-")
}

# unix:LIBS += -L. -lmylib

# unix:INCLUDEPATH +=  . ../../src


