#ifndef GOFBPMPLOT_H
#define GOFBPMPLOT_H

#include <quarrayplot.h>

class QuPlotDataBuf;
class CumbiaPool;
class CuControlsFactoryPool;
class CuData;
class QuPlotDataConnector;

class GofBpmPlot : public QuArrayPlot	//	 ## added by qumbiaprojectwizard
{
    Q_OBJECT
public:
    GofBpmPlot(QWidget *parent, CumbiaPool *cu_pool, const CuControlsFactoryPool &fp, bool opengl);

public slots:
    void configure(QwtPlot *p, const CuData &da);
    void addSource(const QString& src);
    void unsetSources();
    void setOptions(const CuData& o);
    void updateYScale();
    void setPeriod(int p);
    void fftSizChanged(const CuData& v);
    void fastFreqChanged(float f);
    void axisContextMenuRequest();
    void setAxisAutoscale(bool);

private:
    long m_fftsiz;
    float  m_freq;
    std::vector<double> x_d; // x axis
    bool m_regenerate_x, m_update_y_scale;
    int m_period;
    QuPlotDataConnector *m_conn;

    void m_period_adjust(size_t siz);
    void m_y_autoscale(const char *src, const std::vector<double>& y);
};

#endif

