/***************************************************************************
 *   Copyright (C) 2006 by Vincenzo Forchi`,,,   *
 *   tus@ken   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <cuengineaccessor.h>
#include <cucontrolsfactorypool.h>
#include <cumbiapool.h>
#include <quapplication.h>
#include "gofbpm.h"

int main( int argc, char ** argv ) {
   CumbiaPool *p = new CumbiaPool();
   CuControlsFactoryPool fpool;
   QuApplication qu_app( argc, argv, p, &fpool);
   QString version("2.0");
   qu_app.setOrganizationName("Elettra");
   qu_app.setApplicationName("LiberaBpm");
   qu_app.setApplicationVersion(version);
   qu_app.setProperty("author", "Giacomo");
   qu_app.setProperty("mail", "giacomo.strangolino@elettra.trieste.it");
   qu_app.setProperty("phone", "375-8073");
   qu_app.setProperty("office", "T2PT025");
   qu_app.setProperty("hwReferent", "Giulio"); /* name of the referent that provides the device server */
   
    if (argc < 2) {
        printf("Usage: %s bpm_instance", argv[0]);
        exit(1);
    }

    CuEngineAccessor *a = new CuEngineAccessor(&qu_app, &p, &fpool);
    gofbpm *w = new gofbpm(nullptr);
    w->show();

    int ret = qu_app.exec();
    // delete resources and return
    // make sure to be operating on a valid cumbia pool in case of engine swap at runtime
    p = a->cu_pool();
    delete w;

    for(std::string n : p->names())
        if(p->get(n))
            delete p->get(n);

    return ret;
}

